//---------------------------------------------------------------------------

#ifndef FrmVmsCamOldFH
#define FrmVmsCamOldFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <OleCtrls.hpp>
#include "CDSFacilityF.h"
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include "XNSSDKWINDOWLib_OCX.h"
#include "XNSSDKDEVICELib_OCX.h"

//---------------------------------------------------------------------------
class TFrmVmsCamOld : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlClient;
    TTimer *TmrShow;
    TXnsSdkDevice *XnsSdkDevice1;
    TXnsSdkWindow *XnsSdkWindow1;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall XnsSdkDevice1ConnectFailed(TObject *Sender, long nDeviceID, long nControlID);
    void __fastcall XnsSdkDevice1DeviceStatusChanged(TObject *Sender, long nDeviceID, long nErrorCode, long nDeviceStatus,
          long nHddCondition);
private:	// User declarations
public:
    TItsVms *FObj;

	long     m_hDevice;         // Device handle
	long     m_lDeviceId;       // Device handle
	long     m_hMediaSource;    // Media stream ID
	long     m_nControlId;      // Control ID
	bool     m_bIsMediaPlay;    // Media play or stop

    bool     FDispBlob;

public:		// User declarations
    __fastcall TFrmVmsCamOld(TComponent* Owner);

    void __fastcall CommClose();

    void __fastcall WebCamPlay();
    void __fastcall WebCamStop();

    bool __fastcall SetupWebCamera();
    void __fastcall ReleaseWebCamera();
    bool __fastcall ConnectWebCamera();
    bool __fastcall OpenWebCamera();
    void __fastcall DisconnectWebCamera();
    void __fastcall CloseWebCamera();

    void __fastcall RefreshVms();
};
//---------------------------------------------------------------------------
//extern PACKAGE TFrmVmsCam *FrmVmsCam;
//---------------------------------------------------------------------------
#endif

